/*
 * Copyright 2013 serso aka se.solovyev
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ---------------------------------------------------------------------
 * Contact details
 *
 * Email: se.solovyev@gmail.com
 * Site:  http://se.solovyev.org
 */

package org.solovyev.common.text;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * User: serso
 * Date: 5/18/11
 * Time: 11:21 AM
 */
public class StringMapper implements Mapper<String> {

	/*
	**********************************************************************
	*
	*                           STATIC
	*
	**********************************************************************
	*/

	@Nonnull
	private static final Mapper<String> instance = new StringMapper();

	@Nonnull
	public static Mapper<String> getInstance() {
		return instance;
	}

	/*
	**********************************************************************
	*
	*                           CONSTRUCTOR
	*
	**********************************************************************
	*/

	private StringMapper() {
	}

	/*
	**********************************************************************
	*
	*                           METHODS
	*
	**********************************************************************
	*/

	@Override
	public String formatValue(@Nullable String value) {
		return value;
	}

	@Override
	public String parseValue(@Nullable String value) {
		return value;
	}
}
